[arch-commits] Commit in bison/trunk (ChangeLog PKGBUILD bison.install)

Eric Bélanger eric at archlinux.org
Fri Mar 26 06:54:21 CET 2010


    Date: Friday, March 26, 2010 @ 01:54:21
  Author: eric
Revision: 73456

upgpkg: bison 2.4.2-1
Upstream update, Removed texinfo dependency in install scriptlet, Updated license, Added sh depends

Modified:
  bison/trunk/ChangeLog
  bison/trunk/PKGBUILD
  bison/trunk/bison.install

---------------+
 ChangeLog     |    8 ++++++++
 PKGBUILD      |   18 ++++++++----------
 bison.install |   12 +++++-------
 3 files changed, 21 insertions(+), 17 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2010-03-25 23:17:46 UTC (rev 73455)
+++ ChangeLog	2010-03-26 05:54:21 UTC (rev 73456)
@@ -1,3 +1,11 @@
+2010-03-25  Eric Belanger  <eric at archlinux.org>
+
+	* bison 2.4.2-1
+	* Upstream update
+	* Removed texinfo dependency in install scriptlet
+	* Updated license
+	* Added sh depends
+
 2008-12-11  Eric Belanger  <eric at archlinux.org>
 
 	* bison 2.4.1-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-25 23:17:46 UTC (rev 73455)
+++ PKGBUILD	2010-03-26 05:54:21 UTC (rev 73456)
@@ -2,24 +2,22 @@
 # Maintainer: Eric Belanger <eric at archlinux.org>
 
 pkgname=bison
-pkgver=2.4.1
+pkgver=2.4.2
 pkgrel=1
 pkgdesc="The GNU general-purpose parser generator"
 arch=('i686' 'x86_64')
-license=('GPL')
+license=('GPL3')
 url="http://www.gnu.org/software/bison/bison.html"
-depends=('glibc' 'm4' 'texinfo')
+depends=('glibc' 'm4' 'sh')
 groups=('base-devel')
 install=bison.install
-source=(ftp://ftp.gnu.org/gnu/bison/${pkgname}-${pkgver}.tar.gz)
-md5sums=('c58aa1da418dc9704070872489e89bf5')
-sha1sums=('ecc4139bbd45b73f42f2b04482d77c16534fea28')
+source=(ftp://ftp.gnu.org/gnu/bison/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('63584004613aaef2d3dca19088eb1654')
+sha1sums=('4e2c4b40a248748989b3fe7f0d89022ea11a8d6f')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --datadir=/usr/share || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  rm ${pkgdir}/usr/share/info/dir || return 1
-  gzip ${pkgdir}/usr/share/info/* || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }

Modified: bison.install
===================================================================
--- bison.install	2010-03-25 23:17:46 UTC (rev 73455)
+++ bison.install	2010-03-26 05:54:21 UTC (rev 73456)
@@ -1,10 +1,9 @@
 infodir=/usr/share/info
-filelist=(bison.info.gz)
+file=bison.info.gz
 
 post_install() {
-  for file in ${filelist[@]}; do
-    install-info $infodir/$file $infodir/dir 2> /dev/null
-  done
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file $infodir/dir 2> /dev/null
 }
 
 post_upgrade() {
@@ -12,7 +11,6 @@
 }
 
 pre_remove() {
-  for file in ${filelist[@]}; do
-    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
-  done
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file $infodir/dir 2> /dev/null
 }



More information about the arch-commits mailing list